require('dotenv').config();
const express = require('express');
const cors = require('cors');
const app = express();
const port = process.env.PORT;
const apiRoutes = require('./api/routes');
const { openStreamDeck } = require('@elgato-stream-deck/node');

const myStreamDeck = openStreamDeck();

myStreamDeck.on('down', (keyIndex) => {
	console.log('key %d down', keyIndex)
})

myStreamDeck.on('up', (keyIndex) => {
	console.log('key %d up', keyIndex)
})

app.use(cors())

app.get('/', (req, res) => {
  res.status(200).send({some: 'json'});
});

app.use('/api', apiRoutes);

app.listen(port, () => {
  console.log(`Stream deck server listening on port ${port}`);
});